# Client-cards

## Obtiene los datos de la relación de las tablas Clients y Cards

<mark style="color:blue;">`GET`</mark> `/api-hub/v1/client-cards/{id}/details`

#### Path Parameters

| Name                                 | Type   | Description                             |
| ------------------------------------ | ------ | --------------------------------------- |
| id<mark style="color:red;">\*</mark> | String | Identificador de la tabla client\_cards |

#### Query Parameters

| Name                                        | Type   | Description                                                                                                                    |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| timestamp<mark style="color:red;">\*</mark> | String | El valor debe ser en formato NOW comprendido por 13 dígitos, en javascript se puede usar la función Date.now() = 1664568045547 |

#### Headers

| Name                                                  | Type   | Description                                                                                                                    |
| ----------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| authorization-token<mark style="color:red;">\*</mark> | String | El valor debe ser en formato NOW comprendido por 13 dígitos, en javascript se puede usar la función Date.now() = 1664568045547 |
| signature<mark style="color:red;">\*</mark>           | String | La firma depende del timestamp y el secret-key.Identificador de la tabla client\_cards                                         |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
	"code": "00000",
	"message": "Successful",
	"data": {
            "id": "0ec44d0c-88fb-4eb3-280d-82ab60479ffd",
            "status": "ACTIVE",
            "created_at": "2022-09-22T17:11:36.762098+00:00",
            "updated_at": "2022-09-22T17:11:36.762098+00:00",
            "deleted_at": null,
            "is_deleted": false,
            "is_deleted_by": null,
            "provider_name": "ODYBANK",
            "card_tracking_code": "3333",
            "merchant_product_id": "5d71b4b0-991f-90ad-c50f-178530f54824",
            "client_id": "854c8fd2-3b39-c232-2cfe-59d1aec654e1",
            "reason": null,
            "currencies": [
                    {
                        "account": "3333",
                        "currency": "PEN"
                    }
                ],
            "blocked_at": null,
            "replacement_by": null
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.globalbridgeconnections.com/reference/api-reference/client-cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
